function createCookie (name, value, days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	} else var expires = "";
	var cookieDom = window.location;
	cookieDom = cookieDom.toString();
	cookieDom = cookieDom.substring(7);
	cookieDom = cookieDom.split('/');
	cookieDom = cookieDom[0];
	if (cookieDom.indexOf('vfxworld.com') > 0) cookieDom = 'vfxworld.com';
	if (cookieDom.indexOf('awntv.com') > 0) cookieDom = 'awntv.com';
	if (cookieDom.indexOf('aidb.com') > 0) cookieDom = 'aidb.com';
	if (cookieDom.indexOf('awn.com') > 0) cookieDom = 'awn.com';
	document.cookie = name+"="+value+expires+"; path=/; domain="+cookieDom;
}
function readCookie (name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1, c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
	}
	return null;
}
function eraseCookie (name) {
	createCookie(name,"",-1);
}
var Interstitial = {
	/*
	@frequency: #*1000*60 - minutes between ads
	@expire: #*1000*60*60 - hours the cycle runs
	*/
	status : 1,
	/*
	// High Delivery (2 times/hour 15 minutes apart)
	numAds : 2,
	frequency : 15*1000*60,
	expire : 1.5*1000*60*60,
	*/
	/*
	// Normal Delivery (1 time every 4 hours) *frequency isn't relevant
	numAds : 1,
	frequency : 5*1000*60,
	expire : 4*1000*60*60,
	*/
	// Low Delivery (1 time every 24 hours) *frequency ins't relevant
	numAds : 1,
	frequency : 5*1000*60,
	expire : 24*1000*60*60,
	interstitialPage : 'http://www.awn.com/interstitial/interstitial.php?referer='+escape(window.location),
	init : function () {
		var d = new Date();
		this.adviews = readCookie('adviews');
		this.adseen = readCookie('adseen');
		if (this.status == 1) {
			if (this.cookieCheck() == true) {
				if (this.adseen < d.getTime()) {
					this.setCookies();
					window.location = this.interstitialPage;
				}
			}
		}
	},
	cookieCheck : function () {
		createCookie('test', 'testval', 2);
		var cookieTest = readCookie('test');
		if (cookieTest == 'testval') {
			eraseCookie('test');
			return true;
		} else return false;
	},
	setCookies : function () {
		var d = new Date();
		if (this.adviews >= this.numAds-1) {
			eraseCookie('adseen');
			eraseCookie('adviews');
			createCookie('adseen', d.getTime()+this.expire, 1);
		} else {
			createCookie('adviews', (this.adviews*1)+1, 1);
			createCookie('adseen', d.getTime()+this.frequency, 1);
		}
	}
}
Interstitial.init();
